import { ChangeDetectorRef, AfterContentInit, AfterViewInit, EventEmitter, OnDestroy, QueryList } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { OptionComponent } from '../option/option.component';
import { SelectService } from './select.service';
export declare class SelectComponent implements ControlValueAccessor, AfterContentInit, OnDestroy, AfterViewInit {
    private selectService;
    private changeDetectorRef;
    options: QueryList<OptionComponent>;
    uiChange: EventEmitter<string>;
    forId: string;
    name: string;
    placeholder: string;
    selectedIndex: number;
    cancelText: string;
    arrowIconClassName: string;
    set disabled(isDisabled: any);
    get disabled(): any;
    set readonly(isReadonly: any);
    get readonly(): any;
    focus: boolean;
    text: string;
    private _disabled;
    private _readonly;
    private value;
    private onChange;
    private onTouched;
    private subs;
    private selectedOption;
    private isWrite;
    static getTextByElement(element: HTMLElement): string;
    constructor(arrowIcon: string, selectService: SelectService, changeDetectorRef: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    showOptions(): void;
    hideOptions(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    private updateByNgModel;
    private updateBySelf;
}
